#include "inv.h"

#include "global/vars.h"

int16_t InvKeysCurrent;
int16_t InvKeysObjects;
int16_t InvKeysQtys[24] = {
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
};

INVENTORY_ITEM *InvKeysList[23] = {
    &InvItemLeadBar,
    &InvItemPuzzle1,
    &InvItemPuzzle2,
    &InvItemPuzzle3,
    &InvItemPuzzle4,
    &InvItemKey1,
    &InvItemKey2,
    &InvItemKey3,
    &InvItemKey4,
    &InvItemPickup1,
    &InvItemPickup2,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
};

int16_t InvMainCurrent;
int16_t InvMainObjects = 1;
int16_t InvMainQtys[24] = {
    1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
};

INVENTORY_ITEM *InvMainList[23] = {
    &InvItemCompass,
    &InvItemPistols,
    &InvItemShotgun,
    &InvItemMagnum,
    &InvItemUzi,
    &InvItemGrenade,
    &InvItemBigMedi,
    &InvItemMedi,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
};

int16_t InvOptionCurrent;
int16_t InvOptionObjects = 5;
INVENTORY_ITEM *InvOptionList[] = {
    &InvItemGame,    &InvItemControls,  &InvItemSound,
    &InvItemDetails, &InvItemLarasHome,
};

INVENTORY_ITEM InvItemCompass = {
    .string = "Compass",
    .object_number = O_MAP_OPTION,
    .frames_total = 25,
    .current_frame = 0,
    .goal_frame = 0,
    .open_frame = 10,
    .anim_direction = 1,
    .anim_speed = 1,
    .anim_count = 0,
    .pt_xrot_sel = 4352,
    .pt_xrot = 0,
    .x_rot_sel = -8192,
    .x_rot = 0,
    .y_rot_sel = 0,
    .y_rot = 0,
    .ytrans_sel = 0,
    .ytrans = 0,
    .ztrans_sel = 456,
    .ztrans = 0,
    .which_meshes = 0x5,
    .drawn_meshes = 0x5,
    .inv_pos = 0,
    .sprlist = NULL,
};

INVENTORY_ITEM InvItemMedi = {
    .string = "Small Medi Pack",
    .object_number = O_MEDI_OPTION,
    .frames_total = 26,
    .current_frame = 0,
    .goal_frame = 0,
    .open_frame = 25,
    .anim_direction = 1,
    .anim_speed = 1,
    .anim_count = 0,
    .pt_xrot_sel = 4032,
    .pt_xrot = 0,
    .x_rot_sel = -7296,
    .x_rot = 0,
    .y_rot_sel = -4096,
    .y_rot = 0,
    .ytrans_sel = 0,
    .ytrans = 0,
    .ztrans_sel = 216,
    .ztrans = 0,
    .which_meshes = 0xFFFFFFFF,
    .drawn_meshes = 0xFFFFFFFF,
    .inv_pos = 7,
    .sprlist = NULL,
};

INVENTORY_ITEM InvItemBigMedi = {
    .string = "Large Medi Pack",
    .object_number = O_BIGMEDI_OPTION,
    .frames_total = 20,
    .current_frame = 0,
    .goal_frame = 0,
    .open_frame = 19,
    .anim_direction = 1,
    .anim_speed = 1,
    .anim_count = 0,
    .pt_xrot_sel = 3616,
    .pt_xrot = 0,
    .x_rot_sel = -8160,
    .x_rot = 0,
    .y_rot_sel = -4096,
    .y_rot = 0,
    .ytrans_sel = 0,
    .ytrans = 0,
    .ztrans_sel = 352,
    .ztrans = 0,
    .which_meshes = 0xFFFFFFFF,
    .drawn_meshes = 0xFFFFFFFF,
    .inv_pos = 6,
    .sprlist = NULL,
};

INVENTORY_ITEM InvItemLeadBar = {
    .string = "Lead Bar",
    .object_number = O_LEADBAR_OPTION,
    .frames_total = 1,
    .current_frame = 0,
    .goal_frame = 0,
    .open_frame = 0,
    .anim_direction = 1,
    .anim_speed = 1,
    .anim_count = 0,
    .pt_xrot_sel = 3616,
    .pt_xrot = 0,
    .x_rot_sel = -8160,
    .x_rot = 0,
    .y_rot_sel = -4096,
    .y_rot = 0,
    .ytrans_sel = 0,
    .ytrans = 0,
    .ztrans_sel = 352,
    .ztrans = 0,
    .which_meshes = 0xFFFFFFFF,
    .drawn_meshes = 0xFFFFFFFF,
    .inv_pos = 100,
    .sprlist = NULL,
};

INVENTORY_ITEM InvItemPickup1 = {
    .string = "Pickup",
    .object_number = O_PICKUP_OPTION1,
    .frames_total = 1,
    .current_frame = 0,
    .goal_frame = 0,
    .open_frame = 0,
    .anim_direction = 1,
    .anim_speed = 1,
    .anim_count = 0,
    .pt_xrot_sel = 7200,
    .pt_xrot = 0,
    .x_rot_sel = -4352,
    .x_rot = 0,
    .y_rot_sel = 0,
    .y_rot = 0,
    .ytrans_sel = 0,
    .ytrans = 0,
    .ztrans_sel = 256,
    .ztrans = 0,
    .which_meshes = 0xFFFFFFFF,
    .drawn_meshes = 0xFFFFFFFF,
    .inv_pos = 111,
    .sprlist = NULL,
};

INVENTORY_ITEM InvItemPickup2 = {
    .string = "Pickup",
    .object_number = O_PICKUP_OPTION2,
    .frames_total = 1,
    .current_frame = 0,
    .goal_frame = 0,
    .open_frame = 0,
    .anim_direction = 1,
    .anim_speed = 1,
    .anim_count = 0,
    .pt_xrot_sel = 7200,
    .pt_xrot = 0,
    .x_rot_sel = -4352,
    .x_rot = 0,
    .y_rot_sel = 0,
    .y_rot = 0,
    .ytrans_sel = 0,
    .ytrans = 0,
    .ztrans_sel = 256,
    .ztrans = 0,
    .which_meshes = 0xFFFFFFFF,
    .drawn_meshes = 0xFFFFFFFF,
    .inv_pos = 110,
    .sprlist = NULL,
};

INVENTORY_ITEM InvItemScion = {
    .string = "Scion",
    .object_number = O_SCION_OPTION,
    .frames_total = 1,
    .current_frame = 0,
    .goal_frame = 0,
    .open_frame = 0,
    .anim_direction = 1,
    .anim_speed = 1,
    .anim_count = 0,
    .pt_xrot_sel = 7200,
    .pt_xrot = 0,
    .x_rot_sel = -4352,
    .x_rot = 0,
    .y_rot_sel = 0,
    .y_rot = 0,
    .ytrans_sel = 0,
    .ytrans = 0,
    .ztrans_sel = 256,
    .ztrans = 0,
    .which_meshes = 0xFFFFFFFF,
    .drawn_meshes = 0xFFFFFFFF,
    .inv_pos = 109,
    .sprlist = NULL,
};

INVENTORY_ITEM InvItemPuzzle1 = {
    .string = "Puzzle",
    .object_number = O_PUZZLE_OPTION1,
    .frames_total = 1,
    .current_frame = 0,
    .goal_frame = 0,
    .open_frame = 0,
    .anim_direction = 1,
    .anim_speed = 1,
    .anim_count = 0,
    .pt_xrot_sel = 7200,
    .pt_xrot = 0,
    .x_rot_sel = -4352,
    .x_rot = 0,
    .y_rot_sel = 0,
    .y_rot = 0,
    .ytrans_sel = 0,
    .ytrans = 0,
    .ztrans_sel = 256,
    .ztrans = 0,
    .which_meshes = 0xFFFFFFFF,
    .drawn_meshes = 0xFFFFFFFF,
    .inv_pos = 108,
    .sprlist = NULL,
};

INVENTORY_ITEM InvItemPuzzle2 = {
    .string = "Puzzle",
    .object_number = O_PUZZLE_OPTION2,
    .frames_total = 1,
    .current_frame = 0,
    .goal_frame = 0,
    .open_frame = 0,
    .anim_direction = 1,
    .anim_speed = 1,
    .anim_count = 0,
    .pt_xrot_sel = 7200,
    .pt_xrot = 0,
    .x_rot_sel = -4352,
    .x_rot = 0,
    .y_rot_sel = 0,
    .y_rot = 0,
    .ytrans_sel = 0,
    .ytrans = 0,
    .ztrans_sel = 256,
    .ztrans = 0,
    .which_meshes = 0xFFFFFFFF,
    .drawn_meshes = 0xFFFFFFFF,
    .inv_pos = 107,
    .sprlist = NULL,
};

INVENTORY_ITEM InvItemPuzzle3 = {
    .string = "Puzzle",
    .object_number = O_PUZZLE_OPTION3,
    .frames_total = 1,
    .current_frame = 0,
    .goal_frame = 0,
    .open_frame = 0,
    .anim_direction = 1,
    .anim_speed = 1,
    .anim_count = 0,
    .pt_xrot_sel = 7200,
    .pt_xrot = 0,
    .x_rot_sel = -4352,
    .x_rot = 0,
    .y_rot_sel = 0,
    .y_rot = 0,
    .ytrans_sel = 0,
    .ytrans = 0,
    .ztrans_sel = 256,
    .ztrans = 0,
    .which_meshes = 0xFFFFFFFF,
    .drawn_meshes = 0xFFFFFFFF,
    .inv_pos = 106,
    .sprlist = NULL,
};

INVENTORY_ITEM InvItemPuzzle4 = {
    .string = "Puzzle",
    .object_number = O_PUZZLE_OPTION4,
    .frames_total = 1,
    .current_frame = 0,
    .goal_frame = 0,
    .open_frame = 0,
    .anim_direction = 1,
    .anim_speed = 1,
    .anim_count = 0,
    .pt_xrot_sel = 7200,
    .pt_xrot = 0,
    .x_rot_sel = -4352,
    .x_rot = 0,
    .y_rot_sel = 0,
    .y_rot = 0,
    .ytrans_sel = 0,
    .ytrans = 0,
    .ztrans_sel = 256,
    .ztrans = 0,
    .which_meshes = 0xFFFFFFFF,
    .drawn_meshes = 0xFFFFFFFF,
    .inv_pos = 105,
    .sprlist = NULL,
};

INVENTORY_ITEM InvItemKey1 = {
    .string = "Key",
    .object_number = O_KEY_OPTION1,
    .frames_total = 1,
    .current_frame = 0,
    .goal_frame = 0,
    .open_frame = 0,
    .anim_direction = 1,
    .anim_speed = 1,
    .anim_count = 0,
    .pt_xrot_sel = 7200,
    .pt_xrot = 0,
    .x_rot_sel = -4352,
    .x_rot = 0,
    .y_rot_sel = 0,
    .y_rot = 0,
    .ytrans_sel = 0,
    .ytrans = 0,
    .ztrans_sel = 256,
    .ztrans = 0,
    .which_meshes = 0xFFFFFFFF,
    .drawn_meshes = 0xFFFFFFFF,
    .inv_pos = 101,
    .sprlist = NULL,
};

INVENTORY_ITEM InvItemKey2 = {
    .string = "Key",
    .object_number = O_KEY_OPTION2,
    .frames_total = 1,
    .current_frame = 0,
    .goal_frame = 0,
    .open_frame = 0,
    .anim_direction = 1,
    .anim_speed = 1,
    .anim_count = 0,
    .pt_xrot_sel = 7200,
    .pt_xrot = 0,
    .x_rot_sel = -4352,
    .x_rot = 0,
    .y_rot_sel = 0,
    .y_rot = 0,
    .ytrans_sel = 0,
    .ytrans = 0,
    .ztrans_sel = 256,
    .ztrans = 0,
    .which_meshes = 0xFFFFFFFF,
    .drawn_meshes = 0xFFFFFFFF,
    .inv_pos = 102,
    .sprlist = NULL,
};

INVENTORY_ITEM InvItemKey3 = {
    .string = "Key",
    .object_number = O_KEY_OPTION3,
    .frames_total = 1,
    .current_frame = 0,
    .goal_frame = 0,
    .open_frame = 0,
    .anim_direction = 1,
    .anim_speed = 1,
    .anim_count = 0,
    .pt_xrot_sel = 7200,
    .pt_xrot = 0,
    .x_rot_sel = -4352,
    .x_rot = 0,
    .y_rot_sel = 0,
    .y_rot = 0,
    .ytrans_sel = 0,
    .ytrans = 0,
    .ztrans_sel = 256,
    .ztrans = 0,
    .which_meshes = 0xFFFFFFFF,
    .drawn_meshes = 0xFFFFFFFF,
    .inv_pos = 103,
    .sprlist = NULL,
};

INVENTORY_ITEM InvItemKey4 = {
    .string = "Key",
    .object_number = O_KEY_OPTION4,
    .frames_total = 1,
    .current_frame = 0,
    .goal_frame = 0,
    .open_frame = 0,
    .anim_direction = 1,
    .anim_speed = 1,
    .anim_count = 0,
    .pt_xrot_sel = 7200,
    .pt_xrot = 0,
    .x_rot_sel = -4352,
    .x_rot = 0,
    .y_rot_sel = 0,
    .y_rot = 0,
    .ytrans_sel = 0,
    .ytrans = 0,
    .ztrans_sel = 256,
    .ztrans = 0,
    .which_meshes = 0xFFFFFFFF,
    .drawn_meshes = 0xFFFFFFFF,
    .inv_pos = 104,
    .sprlist = NULL,
};

INVENTORY_ITEM InvItemPistols = {
    .string = "Pistols",
    .object_number = O_GUN_OPTION,
    .frames_total = 12,
    .current_frame = 0,
    .goal_frame = 0,
    .open_frame = 11,
    .anim_direction = 1,
    .anim_speed = 1,
    .anim_count = 0,
    .pt_xrot_sel = 3200,
    .pt_xrot = 0,
    .x_rot_sel = -3808,
    .x_rot = 0,
    .y_rot_sel = 0,
    .y_rot = 0,
    .ytrans_sel = 0,
    .ytrans = 0,
    .ztrans_sel = 296,
    .ztrans = 0,
    .which_meshes = 0xFFFFFFFF,
    .drawn_meshes = 0xFFFFFFFF,
    .inv_pos = 1,
    .sprlist = NULL,
};

INVENTORY_ITEM InvItemShotgun = {
    .string = "Shotgun",
    .object_number = O_SHOTGUN_OPTION,
    .frames_total = 13,
    .current_frame = 0,
    .goal_frame = 0,
    .open_frame = 12,
    .anim_direction = 1,
    .anim_speed = 1,
    .anim_count = 0,
    .pt_xrot_sel = 3200,
    .pt_xrot = 0,
    .x_rot_sel = 0,
    .x_rot = 0,
    .y_rot_sel = -8192,
    .y_rot = 0,
    .ytrans_sel = 0,
    .ytrans = 0,
    .ztrans_sel = 296,
    .ztrans = 0,
    .which_meshes = 0xFFFFFFFF,
    .drawn_meshes = 0xFFFFFFFF,
    .inv_pos = 2,
    .sprlist = NULL,
};

INVENTORY_ITEM InvItemMagnum = {
    .string = "Magnums",
    .object_number = O_MAGNUM_OPTION,
    .frames_total = 12,
    .current_frame = 0,
    .goal_frame = 0,
    .open_frame = 11,
    .anim_direction = 1,
    .anim_speed = 1,
    .anim_count = 0,
    .pt_xrot_sel = 3200,
    .pt_xrot = 0,
    .x_rot_sel = -3808,
    .x_rot = 0,
    .y_rot_sel = 0,
    .y_rot = 0,
    .ytrans_sel = 0,
    .ytrans = 0,
    .ztrans_sel = 296,
    .ztrans = 0,
    .which_meshes = 0xFFFFFFFF,
    .drawn_meshes = 0xFFFFFFFF,
    .inv_pos = 3,
    .sprlist = NULL,
};

INVENTORY_ITEM InvItemUzi = {
    .string = "Uzis",
    .object_number = O_UZI_OPTION,
    .frames_total = 13,
    .current_frame = 0,
    .goal_frame = 0,
    .open_frame = 12,
    .anim_direction = 1,
    .anim_speed = 1,
    .anim_count = 0,
    .pt_xrot_sel = 3200,
    .pt_xrot = 0,
    .x_rot_sel = -3808,
    .x_rot = 0,
    .y_rot_sel = 0,
    .y_rot = 0,
    .ytrans_sel = 0,
    .ytrans = 0,
    .ztrans_sel = 296,
    .ztrans = 0,
    .which_meshes = 0xFFFFFFFF,
    .drawn_meshes = 0xFFFFFFFF,
    .inv_pos = 4,
    .sprlist = NULL,
};

INVENTORY_ITEM InvItemGrenade = {
    .string = "Grenade",
    .object_number = O_EXPLOSIVE_OPTION,
    .frames_total = 15,
    .current_frame = 0,
    .goal_frame = 0,
    .open_frame = 14,
    .anim_direction = 1,
    .anim_speed = 1,
    .anim_count = 0,
    .pt_xrot_sel = 5024,
    .pt_xrot = 0,
    .x_rot_sel = 0,
    .x_rot = 0,
    .y_rot_sel = 0,
    .y_rot = 0,
    .ytrans_sel = 0,
    .ytrans = 0,
    .ztrans_sel = 368,
    .ztrans = 0,
    .which_meshes = 0xFFFFFFFF,
    .drawn_meshes = 0xFFFFFFFF,
    .inv_pos = 5,
    .sprlist = NULL,
};

INVENTORY_ITEM InvItemPistolAmmo = {
    .string = "Pistol Clips",
    .object_number = O_GUN_AMMO_OPTION,
    .frames_total = 1,
    .current_frame = 0,
    .goal_frame = 0,
    .open_frame = 0,
    .anim_direction = 1,
    .anim_speed = 1,
    .anim_count = 0,
    .pt_xrot_sel = 3200,
    .pt_xrot = 0,
    .x_rot_sel = -3808,
    .x_rot = 0,
    .y_rot_sel = 0,
    .y_rot = 0,
    .ytrans_sel = 0,
    .ytrans = 0,
    .ztrans_sel = 296,
    .ztrans = 0,
    .which_meshes = 0xFFFFFFFF,
    .drawn_meshes = 0xFFFFFFFF,
    .inv_pos = 1,
    .sprlist = NULL,
};

INVENTORY_ITEM InvItemShotgunAmmo = {
    .string = "Shotgun Shells",
    .object_number = O_SG_AMMO_OPTION,
    .frames_total = 1,
    .current_frame = 0,
    .goal_frame = 0,
    .open_frame = 0,
    .anim_direction = 1,
    .anim_speed = 1,
    .anim_count = 0,
    .pt_xrot_sel = 3200,
    .pt_xrot = 0,
    .x_rot_sel = -3808,
    .x_rot = 0,
    .y_rot_sel = 0,
    .y_rot = 0,
    .ytrans_sel = 0,
    .ytrans = 0,
    .ztrans_sel = 296,
    .ztrans = 0,
    .which_meshes = 0xFFFFFFFF,
    .drawn_meshes = 0xFFFFFFFF,
    .inv_pos = 2,
    .sprlist = NULL,
};

INVENTORY_ITEM InvItemMagnumAmmo = {
    .string = "Magnum Clips",
    .object_number = O_MAG_AMMO_OPTION,
    .frames_total = 1,
    .current_frame = 0,
    .goal_frame = 0,
    .open_frame = 0,
    .anim_direction = 1,
    .anim_speed = 1,
    .anim_count = 0,
    .pt_xrot_sel = 3200,
    .pt_xrot = 0,
    .x_rot_sel = -3808,
    .x_rot = 0,
    .y_rot_sel = 0,
    .y_rot = 0,
    .ytrans_sel = 0,
    .ytrans = 0,
    .ztrans_sel = 296,
    .ztrans = 0,
    .which_meshes = 0xFFFFFFFF,
    .drawn_meshes = 0xFFFFFFFF,
    .inv_pos = 3,
    .sprlist = NULL,
};

INVENTORY_ITEM InvItemUziAmmo = {
    .string = "Uzi Clips",
    .object_number = O_UZI_AMMO_OPTION,
    .frames_total = 1,
    .current_frame = 0,
    .goal_frame = 0,
    .open_frame = 0,
    .anim_direction = 1,
    .anim_speed = 1,
    .anim_count = 0,
    .pt_xrot_sel = 3200,
    .pt_xrot = 0,
    .x_rot_sel = -3808,
    .x_rot = 0,
    .y_rot_sel = 0,
    .y_rot = 0,
    .ytrans_sel = 0,
    .ytrans = 0,
    .ztrans_sel = 296,
    .ztrans = 0,
    .which_meshes = 0xFFFFFFFF,
    .drawn_meshes = 0xFFFFFFFF,
    .inv_pos = 4,
    .sprlist = NULL,
};

INVENTORY_ITEM InvItemGame = {
    .string = "Game",
    .object_number = O_PASSPORT_CLOSED,
    .frames_total = 30,
    .current_frame = 0,
    .goal_frame = 0,
    .open_frame = 14,
    .anim_direction = 1,
    .anim_speed = 1,
    .anim_count = 0,
    .pt_xrot_sel = 4640,
    .pt_xrot = 0,
    .x_rot_sel = -4320,
    .x_rot = 0,
    .y_rot_sel = 0,
    .y_rot = 0,
    .ytrans_sel = 0,
    .ytrans = 0,
    .ztrans_sel = 384,
    .ztrans = 0,
    .which_meshes = 0x13,
    .drawn_meshes = 0x13,
    .inv_pos = 0,
    .sprlist = NULL,
};

INVENTORY_ITEM InvItemDetails = {
    .string = "Detail Levels",
    .object_number = O_DETAIL_OPTION,
    .frames_total = 1,
    .current_frame = 0,
    .goal_frame = 0,
    .open_frame = 0,
    .anim_direction = 1,
    .anim_speed = 1,
    .anim_count = 0,
    .pt_xrot_sel = 4224,
    .pt_xrot = 0,
    .x_rot_sel = -6720,
    .x_rot = 0,
    .y_rot_sel = 0,
    .y_rot = 0,
    .ytrans_sel = 0,
    .ytrans = 0,
    .ztrans_sel = 424,
    .ztrans = 0,
    .which_meshes = 0xFFFFFFFF,
    .drawn_meshes = 0xFFFFFFFF,
    .inv_pos = 1,
    .sprlist = NULL,
};

INVENTORY_ITEM InvItemSound = {
    .string = "Sound",
    .object_number = O_SOUND_OPTION,
    .frames_total = 1,
    .current_frame = 0,
    .goal_frame = 0,
    .open_frame = 0,
    .anim_direction = 1,
    .anim_speed = 1,
    .anim_count = 0,
    .pt_xrot_sel = 4832,
    .pt_xrot = 0,
    .x_rot_sel = -2336,
    .x_rot = 0,
    .y_rot_sel = 0,
    .y_rot = 0,
    .ytrans_sel = 0,
    .ytrans = 0,
    .ztrans_sel = 368,
    .ztrans = 0,
    .which_meshes = 0xFFFFFFFF,
    .drawn_meshes = 0xFFFFFFFF,
    .inv_pos = 2,
    .sprlist = NULL,
};

INVENTORY_ITEM InvItemControls = {
    .string = "Controls",
    .object_number = O_CONTROL_OPTION,
    .frames_total = 1,
    .current_frame = 0,
    .goal_frame = 0,
    .open_frame = 0,
    .anim_direction = 1,
    .anim_speed = 1,
    .anim_count = 0,
    .pt_xrot_sel = 5504,
    .pt_xrot = 0,
    .x_rot_sel = 1536,
    .x_rot = 0,
    .y_rot_sel = 0,
    .y_rot = 0,
    .ytrans_sel = 0,
    .ytrans = 0,
    .ztrans_sel = 352,
    .ztrans = 0,
    .which_meshes = 0xFFFFFFFF,
    .drawn_meshes = 0xFFFFFFFF,
    .inv_pos = 3,
    .sprlist = NULL,
};

INVENTORY_ITEM InvItemLarasHome = {
    .string = "Lara's Home",
    .object_number = O_PHOTO_OPTION,
    .frames_total = 1,
    .current_frame = 0,
    .goal_frame = 0,
    .open_frame = 0,
    .anim_direction = 1,
    .anim_speed = 1,
    .anim_count = 0,
    .pt_xrot_sel = 4640,
    .pt_xrot = 0,
    .x_rot_sel = -4320,
    .x_rot = 0,
    .y_rot_sel = 0,
    .y_rot = 0,
    .ytrans_sel = 0,
    .ytrans = 0,
    .ztrans_sel = 384,
    .ztrans = 0,
    .which_meshes = 0xFFFFFFFF,
    .drawn_meshes = 0xFFFFFFFF,
    .inv_pos = 5,
    .sprlist = NULL,
};
